Kuinka ratkaista WordPress-verkkosivuston Pluggable.php-tiedostovirheet

Kun hallitset WordPress-verkkosivustoa, saatat joutua lisäämään minkä tahansa mukautetun koodin parantaaksesi sen ominaisuuksia. Suurin osa WordPress-käyttäjistä ei ole teknisiä tekijöitä, eivätkä he tarkista koodia paikallisessa ympäristössä ennen käyttöä verkkosivustollaan.


Tällainen virhe johtaa virheeseen. Pluggable.php-virhevirheiden näkeminen ei ole niin yleistä, mutta monet käyttäjät huomaavat sen tekeessään minkäänlaisia ​​muutoksia sivuston PHP-koodiin.

Kuten kaikki tiedämme, WordPress on PHP-pohjainen sisällönhallintajärjestelmä (CMS) ja kaikki sen teemat ja laajennukset käyttävät PHP: tä koodauskielenä. Aina kun plugin tai teema ristiriidassa, tapahtuu virhe, ja joskus se johtaa pluggable.php-tiedostovirheeseen.

Oletko nähnyt tällaisen virheen sivustossasi? Yritätkö vielä selvittää syyt ja ratkaisut? Jos on, tämä opas on sinulle.

Tärkein syy pluggable.php-tiedostovirheeseen on, kun uusi toiminto ei pysty käsittelemään WordPressin oletustoimintojen ohitusta.

Pluggable.php on yksi WordPress-ydintiedostoista, mikä tarkoittaa, että jotain muuta on ristiriidassa tämän tiedoston luonnollisen käyttäytymisen kanssa.

Kuinka pluggable.php-tiedoston virhe näyttää ja kuinka korjaan sen?

Suurimman osan ajasta virhe koostuu polusta, josta se syntyy. Kuten edellä mainitsin, pluggable.php on ydin WordPress-tiedosto, joten sinun ei pitäisi muokata sitä.

Joten, sinun on ymmärrettävä, miten virhe näyttää ja mitä se heijastaa. Annan näyttää sinulle esimerkin:

Varoitus: Otsikkotietoja ei voi muokata – otsikot, jotka on jo lähettänyt (lähtö aloitettu osoitteessa /home/username/yoursite/wp-content/themes/themename/functions.php:1091) / home / username / yoursite / wp-sisältää / pluggable. php linjalla 1280

Pluggable.php-tiedostossa on varoitus, joka osoittaa rivinumeroon 1280. Useimmat ihmiset tekevät tämän virheen ja alkavat muokata tätä tiedostoa.

Jos tarkastellaan tarkkaan, on olemassa toinen polku, joka koostuu WordPress-teemasi function.php-tiedostosta. Jos olet lisännyt mukautetun koodinpätkän, tarkista se uudelleen.

Jos asensit uuden laajennuksen, joka ohittaa nykyisen toiminnon, yritä poistaa se käytöstä. On mahdollista, että function.php-tiedostossa on ylimääräistä tilaa.

Todennäköisesti sulkeutuvissa ja päättävissä PHP-tunnisteissa.

Esimerkiksi, näet ylimääräisen tilan lopputunnisteessa seuraavasti: php ?>

Saanen näyttää toisen virheen.

Varoitus: Otsikkotietoja ei voi muokata – otsikot, jotka on jo lähettänyt (lähtö aloitettu osoitteessa /home/username/yoursite/wp-content/plugins/plugin-name/plugin-file.php:1091) / home / käyttäjänimi / yoursite / wp- sisältää / pluggable.php rivillä 1280

Jos tarkistat polun, jossa mainitaan rivinumero 1091, se osoittaa laajennukselle, mikä tarkoittaa, että sinun on tarkistettava virhe, joka aiheuttaa virheen.

Kaikki lisäosat eivät ole koodattuja. Virallisessa WordPress-laajennusten arkistossa on saatavana tonnia kolmansien osapuolien laajennuksia. Ja useimmiten, kun WordPress-ydin päivittyy, laajennus alkaa ristiriidassa vanhojen koodausstandardiensa vuoksi.

On myös mahdollista, että laajennus on ristiriidassa muiden käyttämiensi laajennusten kanssa. Vaikka WordPress-laajennukset ovat hyödyllisiä, mutta joskus ne voivat olla suuri ongelma huonokoodatun standardinsa vuoksi.

Missä voit huomata pluggable.php-virhe?

Olen varma; olet kiinnostunut lisätietoja pluggable.php-tiedostovirheestä. Syynä on, että jokaisella virheellä on sijainti varoitusviestin näyttämiseksi.

Pluggable.php-tiedostovirhe voi hajottaa sivuston, ja näet vain yllä mainitun varoitusviestin. WordPress-toimintojen kanssa esiintyvistä ristiriitoista riippuen saatat pystyä kirjautumaan järjestelmänvalvojan hallintapaneeliin ja nähdä virheen.

Useimmiten, kun kopioit ja liidat mukautetun koodinpätkän ilman testausta, se aiheuttaa tällaisen ongelman. Joten on aina hyvä perustaa paikallinen ympäristö käyttämällä XAMPP, WAMP, MAMP tai Local by Flywheel.

Aivan kuten kuoleman valkoisella näytöllä, voit nähdä pluggable.php-virhevirheen jokaisella sivuston sivulla, mikä tarkoittaa, että kun yrität avata mitä tahansa sivuston sivua, vain varoitusviesti tulee näkyviin..

Kuinka virhesanoma näyttää, kun se tapahtuu WordPress-teeman vuoksi?

Vaikka monet teemakehittäjät ovat alkaneet kehittää teemoja Reaktin ja muiden kielten avulla, pohja pysyy PHP: lle, koska siinä WordPress-toiminnot toimivat.

Aivan kuten plugin, WordPress-teema voi myös luoda pluggable.php-virhevirheen. Esimerkiksi, samoin kuin edellä mainitsemani ensimmäinen virhe, eri tiedostossa voi olla toinen virhe.

Annan näyttää kuinka.

Varoitus: Otsikkotietoja ei voi muokata – otsikot, jotka on jo lähettänyt (lähtö aloitettu osoitteessa /home/username/yoursite/wp-content/themes/themename/admin-functions.php:1191) hakemistossa / home / username / yoursite / wp-sisältää / pluggable.php rivillä 1240

Kuten näette, rivinumeroon 1191 on polku, mutta se on erilainen kuin tavallinen varoitusviesti, jonka saat lisäämällä mukautetun koodinpätkän function.php-tiedostoon.

Se johtuu siitä, että nyt on eri tiedosto. Saatat ihmetellä, että function.php on ainoa tiedosto, jolla on WordPress-toimintoja.

Mutta sinun ei pidä sivuuttaa sitä, että jokainen WordPress-kehittäjä on erilainen, ja jotkut saattavat haluta pitää tietyn osan toiminnot eri tiedostossa, joka toimii function.php-tiedostona.

Esimerkiksi teeman sisäänrakennettua mukautettua paneelia hallittavat toiminnot ovat läsnä admin-function.php-tiedostossa. Joten virhesanomassa mainitaan tämä tiedosto.

Mikä on paras tapa korjata pluggable.php-virhe?

Olipa kyseessä WordPress-teema, laajennus tai muokattu koodi, jonka kopioit ja liisit, sinun ei pitäisi koskaan muokata tiedostoja live-sivustolla.

Ensimmäinen ja tärkein vaihe on varmuuskopioida WordPress-verkkosivusto ja sen tietokanta cPanelilla, FTP: llä tai UpdraftPlus-laajennuksella..

Jos syyllinen on teema tai laajennus, poista ne ja testaa paikallisessa ympäristössä tai muussa esittelysivustossa.

Jos varoitusviesti näyttää virhepolun function.php-tiedostoon, johon olet äskettäin lisännyt mukautetun koodin, poista se, tyhjennä selaimen välimuisti ja yritä uudelleen.

johtopäätös

Pluggable.php-virhevirheiden ratkaiseminen on melko helppoa, jos ymmärrät syyn siihen. Kuten mainitsin tässä artikkelissa, tärkein avain virheen muodostavan tiedoston löytämiseen on polun tarkistaminen.

Unohda polku, joka osoittaa sinut pluggable.php-tiedostoon, koska sinun ei pitäisi muokata sitä. WordPress-ydintiedostot toimivat hyvin, se on laajennus tai teema, joka on ristiriidassa ytimen kanssa.

Toivon, että pystyt helposti ratkaisemaan pluggable.php-virhevirheen.

Aiheeseen liittyvät ohjeartikkelit

  • Kuinka korjata kohdekansio on jo olemassa WordPress-sivuston virhe cPanelia käyttämällä
    väli-
  • Kuinka ratkaista 413 Request Entity liian suuri virhe cPanelia käyttämällä
    väli-
  • Kuinka korjata "Puuttuu väliaikainen kansio" CPanelia käyttävän WordPress-sivuston virhe
    väli-
  • Kuinka korjata liian monta uudelleenohjausta koskeva kysymys WordPress-verkkosivustolle
    väli-
Jeffrey Wilson Administrator
Sorry! The Author has not filled his profile.
follow me